Bug 189054 - SELECT DISTINCT returns no rows in some cases
SELECT DISTINCT returns no rows in some cases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 01:20 EDT by Martin Kessler
Modified: 2013-07-02 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 21:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kessler 2006-04-15 01:20:27 EDT
Description of problem:
SELECT DISTINCT fails in some case as well as SELECT ..... GROUP BY field even
if there are valid fields in the database. A SELECT w/o DISTINCT or GROUP BY
retrieves the rows.


Version-Release number of selected component (if applicable):
5.0.18 myslqd

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
According to the mysql website, this problem is fixed in 5.0.20 but there is no
update, bugfix for FC5 available as of this moment.
Comment 1 Tom Lane 2006-05-17 21:56:59 EDT
5.0.21 is now pushed for FC5.

Note You need to log in before you can comment on or make changes to this bug.